/* polydiv.h
   Written 2002 by Martin Renold <martinxyz@gmx.ch> 
   This code is in the public domain. */

/* Division of two polynoms with maximum order length+1.
   Note that polynom[n] is the coefficient of x^n.

   Example: (x^3 - 3x^2 - 10x + 24) : (x - 2) 
   length   = 4
   polynom  = {24, -10, -3,  1)
   quotient = {-2,   1,  0,  0}
   result, remainder: 
   doesn't matter, just provide enough memory for length quotients

   Division by zero will cause a floating point exception.
   */
extern void PolyDiv(const float * polynom, const float * quotient, float * result, float * remainder, int length);
